CONFIG += release
#CONFIG += debug
CONFIG += console warn_off thread mlrt qt

TEMPLATE = app

#CONFIG -= qt

TARGET = preprocessor

CONFIG(debug) {
DESTDIR = "../bin/debug"
}

CONFIG(release) {
DESTDIR = "../bin/release"
}

NONGTP = ../../../../../../NonGTP

#win32:INCLUDEPATH += d:/STLport-4.6.2/stlport

CONFIG(qt) {
#win32:INCLUDEPATH += "d:/Programs/NVIDIA Corporation/Cg/include"
win32:INCLUDEPATH += "$$(CG_INC_PATH)"
}

unix:INCLUDEPATH += ../support/src/xerces-c-src_2_7_0/include

XERCES = $$NONGTP/Xerces/xerces
#XERCES = $$NONGTP/Xerces/xerces-c_2_8_0
  
INCLUDEPATH += ../src ../src/Timer ../src/QtInterface $$XERCES/include \
  $$NONGTP/Zlib/include $$NONGTP/Boost $$NONGTP/Devil/include sparsehash/src

win32:LIBPATH += GL $$XERCES/lib $$NONGTP/Devil/lib \
  $$NONGTP/glut $$NONGTP/Boost/lib $$NONGTP/Zlib/lib 


CONFIG(qt) {
#win32:LIBPATH += "d:/Programs/NVIDIA Corporation/Cg/lib"
win32:LIBPATH += "$$(CG_LIB_PATH)"
}

unix:LIBPATH += ../support/src/xerces-c-src_2_7_0/lib ../support/devil/lib /usr/lib/qt3/lib64

#win32:LIBPATH += d:/STLport-4.6.2/lib



# DEPENDPATH	= ../../include
CONFIG(qt) {
QT += opengl
}

win32:LIBS += devil.lib ilu.lib ilut.lib glew32.lib zlib.lib

#zdll.lib
#zziplibd.lib

CONFIG(release) {
win32:LIBS += xerces-c_2.lib 
#win32:LIBS += xerces-c_static_2.lib 
}

CONFIG(debug) {
win32:LIBS += xerces-c_2D.lib 
#win32:LIBS += xerces-c_static_2D.lib 
}


CONFIG(mlrt) {

CONFIG(release) {
LIBPATH += ../MultiLevelRayTracing/RTScene/Release \
../MultiLevelRayTracing/RTWorld/Release
}

CONFIG(debug) {
LIBPATH += ../MultiLevelRayTracing/RTScene/Debug \
../MultiLevelRayTracing/RTWorld/Debug
}

LIBS += RTScene.lib RTWorld.lib
DEFINES += GTP_INTERNAL
INCLUDEPATH += ../MultiLevelRayTracing
}

QMAKE_LFLAGS_CONSOLE=/NODEFAULTLIB:LIBCMT

CONFIG(qt) {
win32:LIBS += cg.lib cgGL.lib
DEFINES += USE_QT
}

unix:LIBS += -lxerces-c -lIL -lILU -lILUT

# Input
HEADERS += Halton.h VssRay.h VssPreprocessor.h RssTree.h GlRenderer.h \
PreprocessorThread.h Preprocessor.h Beam.h 


SOURCES += \
Preprocessor.cpp SamplingPreprocessor.cpp ExactPreprocessor.cpp \
KdTree.cpp Environment.cpp gzstream.cpp common.cpp \
UnigraphicsParser.cpp X3dExporter.cpp SceneGraph.cpp Material.cpp \
Matrix4x4.cpp Vector3.cpp AxisAlignedBox3.cpp Ray.cpp main.cpp Mesh.cpp \
Exporter.cpp Camera.cpp X3dParser.cpp MeshKdTree.cpp  \
MutualVisibility.cpp Triangle3.cpp Rectangle3.cpp Plane3.cpp Polygon3.cpp \
ViewCell.cpp ViewCellBsp.cpp Halton.cpp VssRay.cpp VssTree.cpp VssPreprocessor.cpp \
RenderSimulator.cpp RayInfo.cpp RssTree.cpp RssPreprocessor.cpp \ 
ViewCellsManager.cpp VspBspTree.cpp GlRenderer.cpp \
PreprocessorThread.cpp Renderer.cpp Beam.cpp ViewCellsParser.cpp Tetrahedron3.cpp \
VrmlExporter.cpp PlyParser.cpp plyfile.c RenderSampler.cpp \
GzBinFileInputStream.cpp  GzFileInputSource.cpp \
LogManager.cpp VspTree.cpp \
SamplingStrategy.cpp IntersectableWrapper.cpp \
OspTree.cpp HierarchyManager.cpp ObjParser.cpp \
BvHierarchy.cpp  \
InternalRayCaster.cpp IntelRayCaster.cpp \
RayCaster.cpp PreprocessorFactory.cpp GvsPreprocessor.cpp \
Trackball.cpp ObjExporter.cpp SubdivisionCandidate.cpp \
Mailable.cpp \
CombinedPreprocessor.cpp Vector2.cpp GlobalLinesRenderer.cpp \
RenderTexture.cpp Mutation.cpp Timer/RDTSCTimer.cpp \
Timer/BenchTimer.cpp Timer/merror.cpp \
Intersectable.cpp TraversalTree.cpp ObjectPvs.cpp ObjectsParser.cpp \
FilterBasedDistribution.cpp DifferenceSampling.cpp HavranRayCaster.cpp \
OcclusionQuery.cpp RandomViewCellsHandler.cpp


SOURCES += BoostPreprocessorThread.cpp 

INCLUDEPATH+=havran
SOURCES += havran/allocgo2.cpp havran/ktbai.cpp havran/ktbtrav.cpp \
havran/ktb.cpp havran/ktball.cpp havran/sbbox.cpp \
havran/ktb8b.cpp havran/ktbftrav.cpp havran/ktbf2trv.cpp havran/timer.cpp


CONFIG(qt) {
HEADERS += QtInterface/QtPreprocessorThread.h QtInterface/QtGlRenderer.h \
QtInterface/QtGlViewer.h
SOURCES +=  QtInterface/QtPreprocessorThread.cpp \
QtInterface/QtGlRenderer.cpp QtInterface/QtGlViewer.cpp 
SOURCES +=  QtInterface/LogReader.cpp QtInterface/LogWriter.cpp
} else {
#SOURCES += BoostPreprocessorThread.cpp 
}

